\begin{tikzpicture}[framed]
  \draw [help lines] (-3, -3) grid (3, 3);

  \draw [ultra thick, draw]
    (0, 2) .. controls (-1.5,2) and (-1.5,1.5) .. (-1.75,0.5)
    (-1.75,0.5) .. controls (-2,0) and (-1.5,-0.5) .. (-2,-1);

  \draw [ultra thick, draw]
    (1.5,-1.5) .. controls (2,0) and (2,2) .. (0.5,2);

  \draw [ultra thick, draw]
    (-1.5,-1.5) .. controls (-0.5, -1.75) and (-0.2,-2) .. (0.3,-1.3)
    (0.3,-1.3) .. controls (0.5,-1) and (0.5,-0.5) .. (0.5,0)
    (0.5,0) .. controls (0.6,0.5) and (0.2, 0.6) .. (0,0.5);

  \node (robot1) [circle, draw, ultra thick, fill=gray!50, minimum size=0.5] at (0,2) {1};
  \node (robot2) [circle, draw, ultra thick, fill=gray!50, minimum size=0.5] at (1.5,-1.5) {2};
  \node (robot3) [circle, draw, ultra thick, fill=gray!50, minimum size=0.5] at (-1.5,-1.5) {3};
\end{tikzpicture}
